# std::locale::_Impl Class Reference

List of all members.

## Detailed Description

Definition at line 472 of file locale_classes.h.

## Friends

- struct __use_cache
- template<typename _Facet> bool has_facet (const locale &) throw ()
- class locale
- class locale::facet
- template<typename _Facet> const _Facet & use_facet (const locale &)

## Friends And Related Function Documentation

template<typename _Facet>

bool has_facet | ( | const locale & | __loc | ) | throw ()`[friend]`

Test for the presence of a facet.

has_facet tests the locale argument for the presence of the facet type provided as the template parameter. Facets derived from the facet parameter will also return true.

Parameters:

  | Facet | The facet type to test the presence of.
  | locale | The locale to test.

Returns:
  true if locale contains a facet of type Facet, else false.

Definition at line 89 of file locale_facets.tcc.

template<typename _Facet>

const _Facet& use_facet | ( | const locale & | __loc | ) | `[friend]`

Return a facet.

use_facet looks for and returns a reference to a facet of type Facet where Facet is the template parameter. If has_facet(locale) is true, there is a suitable facet to return. It throws std::bad_cast if the locale doesn't contain a facet of type Facet.

Parameters:

  | Facet | The facet type to access.
  | locale | The locale to use.

Returns:
  Reference to facet of type Facet.

Exceptions:

  | std::bad_cast | if locale doesn't contain a facet of type Facet.

Definition at line 111 of file locale_facets.tcc.

The documentation for this class was generated from the following file:

- locale_classes.h